<form
  [formGroup]="secondConfigurationStepForm"
  (submit)="secondConfigurationStepForm.valid && handleSecondSubStepNext()"
>
  <fieldset>
    <legend>General</legend>
    <mat-form-field class="input--lg">
      <mat-label>{{ offersData.lumpSumDeathBenefit.label }}</mat-label>
      <mat-select formControlName="lumpSumDeathBenefit">
        @for (value of offersData.lumpSumDeathBenefit.values; track value) {
        <mat-option [value]="value">{{ value }}</mat-option>
        }
      </mat-select>
    </mat-form-field>
    <mat-form-field class="input--lg">
      <mat-label>Cost-Of-Living Fund Rates</mat-label>
      <input
        type="number"
        min="0"
        max="1000"
        matInput
        formControlName="fundRates"
        required
      />

      @if (isFundRatesInvalid) {
      <mat-error>
        @if (fundRates?.hasError('required')) { Required. } @else if
        (fundRates?.hasError('min')) { Minimum acceptable age is 0. } @else {
        Maximum acceptable age is 1000.} </mat-error
      >}
    </mat-form-field>
  </fieldset>
  <fieldset>
    <legend>Risk Rates</legend>
    <mat-form-field>
      <mat-label>Category 1</mat-label>
      <input
        type="number"
        min="0"
        max="1000"
        matInput
        formControlName="riskRatesCategory1"
        required
      />
      @if (isRiskRatesCategory1Invalid) {
      <mat-error>Required.</mat-error>}
    </mat-form-field>
  </fieldset>
  @if (secondConfigurationStepForm.invalid) {
  <p role="alert" class="optional-substep-alert">
    **Either provide ALL the required data or <i>Risk Benefit</i>
    configuration will NOT be taken into an account.
  </p>
  }
  <div class="button-container">
    <button class="medium-action-button" mat-raised-button matStepperPrevious>
      Back
      <mat-icon iconPositionStart>expand_less</mat-icon>
    </button>

    <button
      class="medium-action-button"
      [type]="secondConfigurationStepForm.valid ? 'submit' : 'button'"
      (click)="handleSecondSubStepNext()"
      color="primary"
      mat-raised-button
      matStepperNext
    >
      Next
      <mat-icon iconPositionEnd>expand_more</mat-icon>
    </button>
  </div>
</form>
